package ru.dbotthepony.mc.otm.core.chart

import ru.dbotthepony.mc.otm.core.math.Cluster
import java.util.random.RandomGenerator

/**
 * Common interface for reading chart values
 */
interface IHistoryChart<V : Any> : Iterable<V> {
	/**
	 * Limit on how many graph values to store
	 */
	val width: Int

	/**
	 * How many measurements one graph value contains
	 */
	val resolution: Int

	operator fun get(index: Int): V

	fun calculateAverage(): V
}
